/*
 
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package es.us.isa.FAMA.models.FAMAfeatureModel.fileformats;

public class Point3D {
	private double x,y,z;
	
	public Point3D () {
		x = 0.0d;
		y = 0.0d;
		z = 0.0d;
	}
	public Point3D (double x, double y, double z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}
	
	public void setX(double x) {this.x = x;}
	public void setY(double y) {this.y = y;}
	public void setZ(double z) {this.z = z;}
	public double getX() {return x;}
	public double getY() {return y;}
	public double getZ() {return z;}
	
	public void setPosition(double x, double y, double z) {
		this.x = x;
		this.y = y;
		this.z = z;
	}
	
	public void normalize() {
		double size = x*x + y*y + z*z;
		size = Math.sqrt(size);
		x /= size;
		y /= size;
		z /= size;
	}
	
	public String toString() {
		String res = x + " " + y + " " + z;
		return res;
	}
}
